#!/usr/bin/env python
# -*- coding: utf-8 -*-
#

import logging
from function.rooms import room_shelly, room_shelly_tradfri_light, room_shelly_silvercrest_light

try:
    from config import APP_NAME as ROOT_LOGGER_NAME
except ImportError:
    ROOT_LOGGER_NAME = 'root'
logger = logging.getLogger(ROOT_LOGGER_NAME).getChild(__name__)


class first_floor_west_julian(room_shelly_tradfri_light):
    # http://shelly1l-3C6105E43452
    def __init__(self, mqtt_client):
        super().__init__(mqtt_client, "shellies/ffw/julian/main_light", "gui/ffw/julian/main_light/switch",
                         "zigbee/ffe/julian/main_light", "gui/ffw/julian/main_light/br_ct")


class first_floor_west_living(room_shelly):
    # http://shelly1l-84CCA8ACE6A1
    def __init__(self, mqtt_client):
        super().__init__(mqtt_client, "shellies/ffw/livingroom/main_light", "gui/ffw/livingroom/main_light/switch")
